MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001034XdebugFeature/Change requestpublic2014-02-27 20:272015-02-22 14:32
Reporterderick 
Assigned Toderick 
PriorityhighSeverityfeatureReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version2.3.0Fixed in Version2.3.0 
Summary0001034: Implement Branch and Path Coverage
Description* Branch Coverage

  * Measures whether the boolean expression of each control structure evaluated
    to both TRUE and FALSE during execution.

    array(
      'file' => array(
        line => array(
          array(
            'opcode' => (constant),
            'flag' => (int)
            'states' => (bitfield)
          ),
        )
      )
    )


* Path Coverage

  * Measures whether each of the possible paths in each function or method has
    been followed. A path is a unique sequence of branches from the entry of the
    function or methods to its exit.
TagsNo tags attached.
Operating System
PHP Version5.5.5-5.5.9
Attached Files

- Relationships

-  Notes
(0002882)
derick (administrator)
2014-10-05 16:45

Implemented in 2.3.x

- Issue History
Date Modified Username Field Change
2014-02-27 20:27 derick New Issue
2014-02-27 20:27 derick Status new => assigned
2014-02-27 20:27 derick Assigned To => derick
2014-10-05 16:45 derick Note Added: 0002882
2014-10-05 16:45 derick Status assigned => closed
2014-10-05 16:45 derick Resolution open => fixed
2014-10-05 16:45 derick Fixed in Version => 2.3dev
2015-02-22 14:30 derick Fixed in Version 2.3dev => 2.3.0
2015-02-22 14:32 derick Target Version 2.3dev => 2.3.0


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker